# Disabling/Enabling Crash Reporting

Luciq [Crash Reporting](https://www.luciq.ai/product/crash-reporting) can be disabled with the following method. This will completely prevent **any** crash report from being sent to your dashboard. By default, crash reporting is enabled if it is available in your current plan.

{% tabs %}
{% tab title="Swift" %}

```swift
CrashReporting.enabled = false
```

{% endtab %}

{% tab title="Objective-C" %}

```objectivec
LCQCrashReporting.enabled = NO;
```

{% endtab %}
{% endtabs %}

{% hint style="info" %} <mark style="color:blue;">Disabling Crash Reporting</mark>

In case you need to disable Crash Reporting, it should be disabled before Luciq is initialized (before `startWithToken:`)
{% endhint %}

#### Disable App Hangs

By default, App Hangs are captured by the SDK and sent to your dashboard. However, you can still disable them using the following API.

{% tabs %}
{% tab title="Swift" %}

```swift
CrashReporting.appHangEnabled = false
```

{% endtab %}

{% tab title="Objective-C" %}

```objectivec
LCQCrashReporting.appHangEnabled = NO
```

{% endtab %}
{% endtabs %}

#### Disable Force Restarts

By default, Force Restarts are captured by the SDK and sent to your dashboard. However, you can still disable them using the following API.

{% tabs %}
{% tab title="Swift" %}

```swift
CrashReporting.forceRestartEnabled = false
```

{% endtab %}

{% tab title="Objective-C" %}

```objectivec
LCQCrashReporting.forceRestartEnabled = NO
```

{% endtab %}
{% endtabs %}

#### Disable OOM Crashes

By default, out-of-memory crashes are captured by the SDK and sent to your dashboard. However, you can still disable them using the following API.

{% tabs %}
{% tab title="Swift" %}

```swift
CrashReporting.OOMEnabled = false
```

{% endtab %}

{% tab title="Objective-C" %}

```objectivec
LCQCrashReporting.OOMEnabled = NO
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/ios/setup-luciq-for-ios/setup-crash-reporting/disabling-enabling-crash-reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
